public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/heaptrack/
Date: Sat, 18 Dec 2021 20:56:52 +0000 (UTC)	[thread overview]
Message-ID: <1639860148.1b5825b7a2a248382e257c4539a2dda10035de56.asturm@gentoo> (raw)

commit:     1b5825b7a2a248382e257c4539a2dda10035de56
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 18 20:33:12 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Dec 18 20:42:28 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b5825b7

dev-util/heaptrack: 1.3.0 version bump

Closes: https://bugs.gentoo.org/611400
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-util/heaptrack/Manifest               |  1 +
 dev-util/heaptrack/heaptrack-1.3.0.ebuild | 73 +++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-util/heaptrack/Manifest b/dev-util/heaptrack/Manifest
new file mode 100644
index 000000000000..0e7d6463d844
--- /dev/null
+++ b/dev-util/heaptrack/Manifest
@@ -0,0 +1 @@
+DIST heaptrack-1.3.0.tar.xz 5521900 BLAKE2B b633ff53d83bd001705a93e2d9ffec1a994a3860cc2154334deda24c7b9d015d233e09e091201351cd3f885668a97d51eafc3b63604996c3a47ed3fdc87446da SHA512 803cc41cbd22090f3478b92097119d03a47ace8d81dc1f30490bea8f9460ae4b9fb7c9d5f64818961c8e118eafce486bea2b6765e5f2a81c91eef5690b1246de

diff --git a/dev-util/heaptrack/heaptrack-1.3.0.ebuild b/dev-util/heaptrack/heaptrack-1.3.0.ebuild
new file mode 100644
index 000000000000..415f90a3f430
--- /dev/null
+++ b/dev-util/heaptrack/heaptrack-1.3.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake desktop kde.org xdg-utils
+
+DESCRIPTION="Fast heap memory profiler"
+HOMEPAGE="https://apps.kde.org/heaptrack/
+https://milianw.de/blog/heaptrack-a-heap-memory-profiler-for-linux"
+SRC_URI="mirror://kde/stable/${PN}/${PV}/${P}.tar.xz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+gui test zstd"
+
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	dev-libs/boost:=[zstd?]
+	sys-libs/libunwind:=
+	sys-libs/zlib
+	gui? (
+		dev-libs/kdiagram:5
+		dev-qt/qtcore:5
+		dev-qt/qtgui:5
+		dev-qt/qtwidgets:5
+		kde-frameworks/kconfig:5
+		kde-frameworks/kconfigwidgets:5
+		kde-frameworks/kcoreaddons:5
+		kde-frameworks/ki18n:5
+		kde-frameworks/kio:5
+		kde-frameworks/kitemmodels:5
+		kde-frameworks/kwidgetsaddons:5
+		kde-frameworks/threadweaver:5
+	)
+	zstd? ( app-arch/zstd:= )
+"
+RDEPEND="${DEPEND}
+	gui? ( >=kde-frameworks/kf-env-4 )
+"
+BDEPEND="
+	gui? ( kde-frameworks/extra-cmake-modules:5 )
+"
+
+src_prepare() {
+	cmake_src_prepare
+	rm -rf 3rdparty/boost-zstd || die # ensure no bundling
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DHEAPTRACK_BUILD_GUI=$(usex gui)
+		-DBUILD_TESTING=$(usex test)
+		$(cmake_use_find_package zstd ZSTD)
+	)
+	cmake_src_configure
+}
+
+pkg_postinst() {
+	if use gui; then
+		xdg_desktop_database_update
+		xdg_icon_cache_update
+	fi
+}
+
+pkg_postrm() {
+	if use gui; then
+		xdg_desktop_database_update
+		xdg_icon_cache_update
+	fi
+}


             reply	other threads:[~2021-12-18 20:57 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-12-18 20:56 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-13 18:47 [gentoo-commits] repo/gentoo:master commit in: dev-util/heaptrack/ Andreas Sturmlechner
2024-12-30 14:21 Andreas Sturmlechner
2023-10-03 19:21 Andreas Sturmlechner
2022-06-18 11:03 Andreas Sturmlechner
2022-06-18 11:03 Andreas Sturmlechner
2022-04-19 21:08 Sam James
2021-09-05  9:06 Andreas Sturmlechner
2020-05-24 21:46 Andreas Sturmlechner
2020-05-24 21:46 Andreas Sturmlechner
2019-11-12  1:13 Andreas Sturmlechner
2019-02-15 23:28 Andreas Sturmlechner
2018-03-17 16:49 Andreas Sturmlechner
2017-02-12 15:37 Andreas Sturmlechner
2016-07-07 19:48 Austin English
2016-05-21 14:40 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1639860148.1b5825b7a2a248382e257c4539a2dda10035de56.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox